#include "exclude.h"

void
iso_exclude_add_path(struct iso_hash_table *table, const char *path)
{
	if (!path)
		return;

	table->num += iso_hash_insert(table->table, path);
}

void
iso_exclude_empty(struct iso_hash_table *table)
{
	if (!table->num)
		return;

	iso_hash_empty(table->table);
	table->num=0;
}

int
iso_exclude_lookup(struct iso_hash_table *table, const char *path)
{
	if (!table->num || !path)
		return 0;

	return iso_hash_lookup(table->table, path);
}
